# Опенсурс и селфхостинг

В противопоставление централизованным сервисам, которые замыкают пользователя внутри своей экосистемы, существует целый мир свободных решений. Open Source — (англ. "открытый источник") направление в разработке программного обеспечения, суть которого в открытости исходного кода программ и протоколов, по которым они взаимодействуют с пользователем и другими программами. Это открывает всем желающим возможность для их изучения, изменения и совершенствований.

Обратная сторона медали в том, что вклад в поддержание мира свободного программного обеспечения лежит на плечах обычных людей без огромных капиталов корпораций, которым в большинстве случаев нет дела до свободных технологий. Более того, свободные технологии — это противник централизованных коммерческих сервисов, который сулит им потерей аудитории.

Существуют публичные серверы, предоставляющие свободные сервисы вроде Email или Jabber. Они финансируются из личных средств администратора, либо специализированными фондами поддержки свободных проектов. В нынешнем мире подобные островки свободных и этичных сервисов подобны оазисам: они небольшие и их мало, но они играют важную роль. С развитием облачного хостинга (аренды мощностей в дата-центрах по приемлемой цене) и доступностью минимального компьютерного железа любому желающему, активно начал развиваться селфхостинг (от англ. "self" и "hosting") — самостоятельное содержание своих сервисов. Основные отличия селфхостинга от использования публичных  сервисов со свободным ПО заключаются в полном контроле происходящего с Вашей информацией, независимость от чьих-либо правил кроме своих и свобода в решениях по расширению или сворачиванию имеющихся сервисов.

Культура свободного ПО распространена по всему миру. В основном опенсурсом увлекаются люди, имеющие опыт в IT-индустрии, потому что часто открытые решения требуют специальных навыков для устранения обнаруженных недостатков, либо для адаптации продукта под свои нужды. То же касается и селфхостинга: если установка операционной системы на домашний компьютер кажется кому-то сложной задачей, то создание и обслуживание своего сервера — тема вовсе фантастическая: установить нужные программы, провозиться несколько суток с настройками, купить и привязать домен, следить за работоспособностью, делать резервные копии на случай поломки и так далее.
